package com.yidianling.dynamic.model;


import com.ydl.ydlcommon.bean.ShareData;

/**
 * 评论Bean
 * Created by hgw on 2017/3/20.
 */

public class TrendInfoComment {

    private int id;//评论id
    private int uid;//
    private String name;
    private String content;//评论内容
    private String header;//头像
    private int to_id;//原发布人评论id
    private int to_uid;//被引用人uid
    private int doctor_id;
    private String to_name;//原话发布人
    private String to_content;//引用的原话
    private String time_str;
    private int gender;//1男2女
    private int user_type;//1用户2专家3助理
    private int is_zan;//1赞2未赞
    private String type;//类型
    private String LoadMoreHint;//加载更多提示
    private String LoadState;//加载状态 start：可以加载更多 ing:加载中 end:已无更多数据加载

    private int isHighLight = 0;//是否高亮显示（1高亮显示）用于动态消息跳转帖子详情时，对此条评论高亮显示
    private ShareData share_data;

//    public static class ShareData{
//        public String title;
//        public String cover;
//        public String desc;
//        public String share_url;
//        public String url;
//    }

    public TrendInfoComment() {
    }

    public TrendInfoComment(int id, int uid, String name, String content, String header, int to_id, int to_uid, int doctor_id, String to_name, String to_content, String time_str, int gender, int user_type, int is_zan, String type, String loadMoreHint, String loadState, int isHighLight, ShareData share_data) {
        this.id = id;
        this.uid = uid;
        this.name = name;
        this.content = content;
        this.header = header;
        this.to_id = to_id;
        this.to_uid = to_uid;
        this.doctor_id = doctor_id;
        this.to_name = to_name;
        this.to_content = to_content;
        this.time_str = time_str;
        this.gender = gender;
        this.user_type = user_type;
        this.is_zan = is_zan;
        this.type = type;
        LoadMoreHint = loadMoreHint;
        LoadState = loadState;
        this.isHighLight = isHighLight;
        this.share_data = share_data;
    }

    public ShareData getShare_data() {
        return share_data;
    }

    public void setShare_data(ShareData share_data) {
        this.share_data = share_data;
    }

    public int getIsHighLight() {
        return isHighLight;
    }

    public void setIsHighLight(int isHighLight) {
        this.isHighLight = isHighLight;
    }

    public String getLoadState() {
        return LoadState;
    }

    public void setLoadState(String loadState) {
        LoadState = loadState;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getLoadMoreHint() {
        return LoadMoreHint;
    }

    public void setLoadMoreHint(String loadMoreHint) {
        LoadMoreHint = loadMoreHint;
    }

    public int getDoctor_id() {
        return doctor_id;
    }

    public void setDoctor_id(int doctor_id) {
        this.doctor_id = doctor_id;
    }

    public int getUid() {
        return uid;
    }

    public void setUid(int uid) {
        this.uid = uid;
    }

    public int getTo_uid() {
        return to_uid;
    }

    public void setTo_uid(int to_uid) {
        this.to_uid = to_uid;
    }

    public int getTo_id() {
        return to_id;
    }

    public void setTo_id(int to_id) {
        this.to_id = to_id;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getHeader() {
        return header;
    }

    public void setHeader(String header) {
        this.header = header;
    }

    public String getTo_name() {
        return to_name;
    }

    public void setTo_name(String to_name) {
        this.to_name = to_name;
    }

    public String getTo_content() {
        return to_content;
    }

    public void setTo_content(String to_content) {
        this.to_content = to_content;
    }

    public String getTime_str() {
        return time_str;
    }

    public void setTime_str(String time_str) {
        this.time_str = time_str;
    }

    public int getGender() {
        return gender;
    }

    public void setGender(int gender) {
        this.gender = gender;
    }

    public int getUser_type() {
        return user_type;
    }

    public void setUser_type(int user_type) {
        this.user_type = user_type;
    }

    public int getIs_zan() {
        return is_zan;
    }

    public void setIs_zan(int is_zan) {
        this.is_zan = is_zan;
    }
}
